/* BorderStyle.java

	Purpose:
		
	Description:
		
	History:
		August 23, 5:53:16 PM     2010, Created by Ashish Dasnurkar

Copyright (C) 2010 Potix Corporation. All Rights Reserved.
 */
package org.zkoss.zss.model.impl.pdf;

import java.io.Serializable;


/**
 * Internal Use Only.
 * @author ashish
 *
 */
/*package*/ class BorderStyle implements Serializable{
	private static final long serialVersionUID = -7206326533158912915L;

	/** border line width specified in float */
	private float lineWidth;
	
	/** border line cap style that determines border end style */
	private int lineCapStyle;

	/** unitsOn unitsOff sequence */
	private float[] units;
	
	/** units to start into unitsOn at the start of line */
	private float phase;
	
	
	public BorderStyle(float lineWidth, int lineCapStyle, float[] units, float phase) {
		this.lineWidth = lineWidth;
		this.lineCapStyle = lineCapStyle;
		this.units = units;
		this.phase = phase;
	}
	
	/**
	 * return border width
	 * @return border width
	 */
	public float getLineWidth() {
		return lineWidth;
	}
	
	/**
	 * sets border width
	 * @param width
	 */
	public void setLineWidth(float lineWidth) {
		this.lineWidth = lineWidth;
	}
	
	/**
	 * returns line cap style for border
	 * @return line cap style for border
	 */
	public int getLineCapStyle() {
		return lineCapStyle;
	}
	/**
	 * sets lineCapStyle for border
	 * @param lineCapStyle
	 */
	public void setLineCapStyle(int lineCapStyle) {
		this.lineCapStyle = lineCapStyle;
	}
	
	/**
	 * Returns UnitsOn, UnitsOff sequence
	 * @return UnitsOn, UnitsOff sequence
	 */
	public float[] getUnits() {
		return units;
	}

	/**
	 * Sets UnitsOn, UnitsOff sequence.
	 * @param units
	 */
	public void setUnits(float[] units) {
		this.units = units;
	}

	/**
	 * Returns units to start into unitsOn at the start of line
	 * @return
	 */
	public float getPhase() {
		return phase;
	}

	/**
	 * Sets units to start into unitsOn at the start of line
	 * @param phase units to start into unitsOn at the start of line
	 */
	public void setPhase(float phase) {
		this.phase = phase;
	}
}
